## libreoffice 25.8.4~rc1

=== debian/changelog ===
libreoffice (4:25.8.4~rc1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Dec 2025 19:01:19 +0100

libreoffice (4:25.8.4~rc1-0ubuntu2) resolute; urgency=medium

  * debian/patches/pdfium-ports.diff: Update to not break arm64

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 02 Dec 2025 15:18:13 +0100

libreoffice (4:25.8.4~rc1-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 02 Dec 2025 12:25:17 +0100

libreoffice (4:25.8.4~rc1~git20251127-1) UNRELEASED; urgency=medium

  * New upstream snapshot 

  * debian/patches/pdfium-ports.diff: add patch from John Paul Adrian Glaubitz
    to fix pdfium build on sparc64 (closes: #1121498)
  * debian/patches/lpsolve-fPIC.diff: build the shared internal lpsolve with
    -fPIC (as done in system-lpsolve) (closes: #1121530)

 -- Rene Engelhard <rene@debian.org>  Sat, 25 Oct 2025 09:15:41 +0200

libreoffice (4:25.8.3-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * debian/patches/disable-testDubiousArrayFormulasFODS-on-amd64v3.patch:
    - disable failing test on amd64v3

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 14 Nov 2025 09:06:35 +0100

libreoffice (4:25.8.3~rc2-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate
  * debian/rules:
    - keep using internal-java-websocket

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 10 Nov 2025 09:07:36 +0100

libreoffice (4:25.8.3~rc1-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Oct 2025 13:39:49 +0200

libreoffice (4:25.8.2-0ubuntu1) resolute; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 16 Oct 2025 13:13:08 +0200

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2023 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
OOVER:=25.8
HELP_L10N_VIRTUAL_VERSION:=$(OOVER)
ifeq "$(shell echo $(OOVER) | cut -d. -f2)" "2"
# 24.2 + .6 -> 24.8 -> OK
NEXT_OOVER=$(shell echo "$(OOVER) + .6" | bc)
else
# 24.8 + .6 = 25.4 -> wrong (doesn't take into account that the year
# has 12 months)so subtract 2 (so effectively + .4) to get back to February (25.2),
# which is supposed to be the schedule.
NEXT_OOVER=$(shell echo "$(OOVER) + .4" | bc)
endif

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -a)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

ifneq (,$(shell pwd | grep autopkgtest))
AUTOPKGTEST_BUILD=y
$(warning Build for autopkgtest)
endif
AUTOPKGTEST_CPPUNIT_PACKAGES := $(shell dh_listpackages | grep -v help | grep -v l10n | grep -v dev-doc | grep -v "nogui$$")

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(..\..\)\../\1/p' | cut -d" " -f1 | cut -d. -f1)
SYSTEM_CLANG_VERSION = $(shell clang -v 2>&1 | head -n1 | awk '{ print $$4 }' | cut -d. -f1)

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
ifneq "$(DEB_VENDOR)" "Debian"
OOO_VENDOR:=The Document Foundation, $(DEB_PARENT_VENDOR) and $(DEB_VENDOR)
else
OOO_VENDOR=The Document Foundation/$(DEB_VENDOR)
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/tarballs
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=n
USE_GIT_TARBALLS=n
ifeq "$(USE_GIT_TARBALLS)" "y"
GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
# bootstraping this from the source tree is breaking get-orig-source
#lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
lo_sources_ver=25.8.4.1
# NOT in proper libreoffice-3-6 branch
# use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
GIT_TAG=libreoffice-$(lo_sources_ver)
GIT_BRANCH=libreoffice-25-8-4
endif
ifeq "$(USE_SOURCE_TARBALLS)" "y"
lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
endif

ifeq "$(USE_GIT_TARBALLS)" "y"
YARU_GIT_TAG=2025-09-07
endif

YARU_ACCENTS = bark blue magenta olive prussiangreen purple red sage viridian wartybrown yellow mate
YARU_IMAGES = yaru yaru_svg $(foreach y, $(YARU_ACCENTS),yaru_$(y) yaru_$(y)_svg)

#########
# Default package configuration
#
# FIXME: Should riscv64 be here at all given it doesn't support NaN payload propagation which LO (at least Calc) needs?
# see https://bugs.documentfoundation.org/show_bug.cgi?id=152943 and https://lists.debian.org/debian-riscv/2024/01/msg00018.html
OOO_ARCHS = amd64 arm64 armhf ppc64el riscv64 s390x
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=\
    autoconf,\
    automake,\
    bc,\
    bison,\
    bzip2,\
    flex, \
    gperf,\
    libfreetype-dev,\
    libfontconfig-dev,\
    pkgconf,\
    po-debconf,\
    unzip,\
    xsltproc,\
    zip,\
    zlib1g-dev\

BUILD_DEPS_INDEP += rdfind, symlinks

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

ENABLE_GUI=y

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
ENABLE_PYTHON=y
ifeq "$(ENABLE_PYTHON)" "y"
  CONFIGURE_FLAGS += --enable-python=system
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
  PACKAGE_LIBRELOGO=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python3
  export PYTHON
else
  # somehow configure insists on using python3 "for pyuno". The only way to
  # override this (afaics) is this...
  PYTHON=python$(PYTHON_VERSION)
  PYTHON_CFLAGS=$(shell pkg-config --cflags python-$(PYTHON_VERSION))
  PYTHON_LIBS=$(shell pkg-config --libs python-$(PYTHON_VERSION))
  export PYTHON PYTHON_VERSION PYTHON_CFLAGS PYTHON_LIBS
endif
endif
BUILD_ONLY_EN_US=n
ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
  include /usr/share/java/java_defaults.mk
  ifneq ($(DEB_HOST_ARCH),$(filter-out $(DEB_HOST_ARCH),$(java_unsupported_architectures)))
      ENABLE_JAVA=y
  endif
  ifeq "$(ENABLE_JAVA)" "y"
    JDK=default
    ifneq "$(JDK)" "default"
      JAVA_MAINVER=17
    endif
  endif
else
  ENABLE_JAVA=n
endif
#JAVAHELPER_MIN_VERSION=
SYSTEM_STUFF += hunspell
SYSTEM_STUFF += altlinuxhyph
SYSTEM_STUFF += boost
BOOST_VERSION=default
# libmdds-dev depends on libboost-dev, which will be removed
# when you install a non-default libboostX.Y-dev
ifeq "$(BOOST_VERSION)" "default"
SYSTEM_STUFF += mdds
endif
USE_EXTERNAL_CXXLIBS=y
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
SYSTEM_STUFF += librevenge
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
SYSTEM_STUFF += libcdr
SYSTEM_STUFF += libmspub
SYSTEM_STUFF += libmwaw
SYSTEM_STUFF += libodfgen
SYSTEM_STUFF += libepubgen
SYSTEM_STUFF += libetonyek
SYSTEM_STUFF += libfreehand
# this is libe-book, NOT evolutions libebook (which is
# dlopen()'ed anyway and whose headers we need from the
# system anyways if enabled
SYSTEM_STUFF += libebook
SYSTEM_STUFF += libabw
SYSTEM_STUFF += libpagemaker
SYSTEM_STUFF += libzmf
SYSTEM_STUFF += libstaroffice
SYSTEM_STUFF += libqxp
ENABLE_ZXING=y
SYSTEM_STUFF += zxing
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
ENABLE_GPGMEPP=y
ifeq "$(ENABLE_GUI)" "y"
BUILD_PLASMA=y
# let's assume we won't ship two plasmas parallel..
PLASMA_VERSION=6
PLASMA_KF_VERSION=$(PLASMA_VERSION)
PLASMA_ARCHITECTURE=all
ENABLE_QT5=n
#QT5_MINVER=
ENABLE_KF5=n
ENABLE_QT6=y
ENABLE_QT6_MULTIMEDIA=y
ENABLE_KF6=y
endif
# go sure. if we want plasma, we want kfX, too and if we want that
# one we want qtX, too.
ifeq "$(BUILD_PLASMA)" "y"
   ifeq "$(PLASMA_VERSION)" "5"
     ENABLE_KF5=y
   endif
   ifeq "$(PLASMA_VERSION)" "6"
	ENABLE_KF6=y
  endif
endif
# KF5 depends on Qt5
ifeq "$(ENABLE_KF5)" "y"
  ENABLE_QT5=y
  KF5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
endif
# KF6 depends on Qt6
ifeq "$(ENABLE_KF6)" "y"
  ENABLE_QT6=y
  KF6_QT6_DEPENDS := libreoffice-qt6 (= $${binary:Version})
endif
# https://www.debian.org/doc/debian-policy/ says this is not defined and must
# be ignored, but dh_strip mentions (and honours) it, so...
ifneq (noautodbgsym,$(findstring noautodbgsym,$(DEB_BUILD_OPTIONS)))
BUILD_DBGSYM_PACKAGES=y
ifeq "$(DEB_HOST_ARCH)" "amd64"
USE_DWZ=n
DWZ_ARGS:=-L 100000000
endif
endif
SYSTEM_STUFF += xmlsec
SYSTEM_STUFF += zxcvbn

## libreoffice 25.8.4~rc2

=== CMakeLists.txt ===
# CMakeLists.txt - CMake lists for libpng
#
# Copyright (c) 2018-2025 Cosmin Truta
# Copyright (c) 2007-2018 Glenn Randers-Pehrson
# Originally written by Christian Ehrlicher, 2007
#
# Use, modification and distribution are subject to
# the same licensing terms and conditions as libpng.
# Please see the copyright notice in png.h or visit
# http://libpng.org/pub/png/src/libpng-LICENSE.txt
#
# For copyright and licensing purposes, please see
# the accompanying file scripts/cmake/AUTHORS.md
#
# SPDX-License-Identifier: libpng-2.0

cmake_minimum_required(VERSION 3.14...4.2)

set(PNGLIB_MAJOR 1)
set(PNGLIB_MINOR 6)
set(PNGLIB_REVISION 53)
set(PNGLIB_SUBREVISION 0)
#set(PNGLIB_SUBREVISION "git")
set(PNGLIB_VERSION ${PNGLIB_MAJOR}.${PNGLIB_MINOR}.${PNGLIB_REVISION})
set(PNGLIB_ABI_VERSION ${PNGLIB_MAJOR}${PNGLIB_MINOR})
set(PNGLIB_SHARED_VERSION ${PNGLIB_ABI_VERSION}.${PNGLIB_REVISION}.${PNGLIB_SUBREVISION})

project(libpng
        VERSION ${PNGLIB_VERSION}
        LANGUAGES C)

include(CheckCSourceCompiles)
include(CheckLibraryExists)
include(GNUInstallDirs)

# Allow the users to specify an application-specific API prefix for libpng
# vendoring purposes. A standard libpng build should have no such prefix.
set(PNG_PREFIX
    ""
    CACHE STRING "Prefix to prepend to the API function names")

# Allow the users to override the postfix appended to debug library file names.
# Previously, we used to set CMAKE_DEBUG_POSTFIX globally. That variable should
# not be cached, however, because doing so would affect all projects processed
# after libpng, in unexpected and undesirable ways.
set(PNG_DEBUG_POSTFIX
    "d"
    CACHE STRING "Postfix to append to library file names under the Debug configuration")

# Allow the users to import their own extra configuration settings.
# Those settings can be either passed via DFA_XTRA if they are in DFA form
# (such as "pngusr.dfa"), or via PNG_LIBCONF_HEADER if they are in prebuilt
# header file form (such as "scripts/pnglibconf.h.prebuilt"), but not both.
# For platforms such as Android or iOS, or in certain cross-platform build
# scenarios, having a valid PNG_LIBCONF_HEADER is mandatory.
set(DFA_XTRA
    ""
    CACHE FILEPATH "DFA file containing customized build configuration settings for libpng")
set(PNG_LIBCONF_HEADER
    ""
    CACHE FILEPATH "C header file containing customized build configuration settings for libpng")
set(PNG_LIBCONF_HEADER_PREBUILT "${CMAKE_CURRENT_SOURCE_DIR}/scripts/pnglibconf.h.prebuilt")
if(ANDROID OR IOS)
  set(PNG_LIBCONF_HEADER "${PNG_LIBCONF_HEADER_PREBUILT}")
endif()
if((NOT DFA_XTRA STREQUAL "") AND (NOT PNG_LIBCONF_HEADER STREQUAL ""))
  message(SEND_ERROR "The options DFA_XTRA=\"${DFA_XTRA}\" "
                     "and PNG_LIBCONF_HEADER=\"${PNG_LIBCONF_HEADER}\" "
                     "are mutually exclusive")
endif()

# Allow the users to switch on/off various library build types.
option(PNG_SHARED "Build libpng as a shared library" ON)
option(PNG_STATIC "Build libpng as a static library" ON)
if(APPLE)
  option(PNG_FRAMEWORK "Build libpng as a framework bundle" ON)
else()
  option(PNG_FRAMEWORK "Build libpng as a framework bundle (not available on this platform)" OFF)
endif()
if(NOT APPLE AND PNG_FRAMEWORK)
  message(SEND_ERROR "The option PNG_FRAMEWORK should not be set on this platform")
endif()

# Allow the users to switch on/off the auxiliary build and test artifacts.
# These artifacts are NOT part of libpng proper, and are subject to change
# at any time.
option(PNG_TESTS "Build the libpng tests" ON)

# Same as above, but for the third-party tools.
# Although these tools are targetted at development environments only,
# the users are allowed to override the option to build by default.
if(ANDROID OR IOS)
  option(PNG_TOOLS "Build the libpng tools" OFF)
else()
  option(PNG_TOOLS "Build the libpng tools" ON)
endif()

# Maintain backwards compatibility with the deprecated option PNG_EXECUTABLES.
option(PNG_EXECUTABLES "[Deprecated; please use PNG_TOOLS]" ON)
if(NOT PNG_EXECUTABLES)
  message(DEPRECATION "The option PNG_EXECUTABLES has been deprecated in favour of PNG_TOOLS")
  if(PNG_TOOLS)
    message(AUTHOR_WARNING "Setting PNG_TOOLS to ${PNG_EXECUTABLES}, "
                           "to stay compatible with PNG_EXECUTABLES")
    set(PNG_TOOLS "${PNG_EXECUTABLES}")
  endif()
endif()

# Allow the users to switch on/off the use of hardware (SIMD) optimized code.
option(PNG_HARDWARE_OPTIMIZATIONS "Enable hardware optimizations" ON)

# Initialize and show the target architecture variable PNG_TARGET_ARCHITECTURE.
#
# NOTE:
# On macOS, CMake sets CMAKE_SYSTEM_PROCESSOR to either "x86_64" or "arm64",
# based upon the OS architecture, not the target architecture. As such, we need
# to check CMAKE_OSX_ARCHITECTURES to identify which hardware-specific flags to
# enable. Note that this will fail if you attempt to build a universal binary
# in a single CMake invocation.
if(APPLE AND CMAKE_OSX_ARCHITECTURES)
  string(TOLOWER "${CMAKE_OSX_ARCHITECTURES}" PNG_TARGET_ARCHITECTURE)
else()
  string(TOLOWER "${CMAKE_SYSTEM_PROCESSOR}" PNG_TARGET_ARCHITECTURE)
endif()
message(STATUS "Building for target architecture: ${PNG_TARGET_ARCHITECTURE}")

# Allow the users to specify a custom location of zlib.
# With CMake 3.12 and newer, this option is no longer necessary.
option(PNG_BUILD_ZLIB "[Deprecated; please use ZLIB_ROOT]" OFF)
if(PNG_BUILD_ZLIB)
  if("x${ZLIB_ROOT}" STREQUAL "x")
    message(SEND_ERROR "The option PNG_BUILD_ZLIB=${PNG_BUILD_ZLIB} is no longer supported; "
                       "please use ZLIB_ROOT instead")
  else()
    message(SEND_ERROR "The option PNG_BUILD_ZLIB=${PNG_BUILD_ZLIB} is no longer supported; "
                       "using ZLIB_ROOT=\"${ZLIB_ROOT}\"")
  endif()
endif()

# Find the zlib library.
find_package(ZLIB REQUIRED)
set(PNG_LINK_LIBRARIES ZLIB::ZLIB)

# Find the math library (unless we already know it's not available or
# not needed).
if(UNIX AND NOT (APPLE OR BEOS OR HAIKU OR EMSCRIPTEN))
  check_library_exists(m pow "" PNG_HAVE_LIBM_POW)
endif()
if(PNG_HAVE_LIBM_POW)
  list(APPEND PNG_LINK_LIBRARIES m)
endif()

# Silence function deprecation warnings on the Windows compilers that might
# use the MSVC Runtime library headers.
if(WIN32 AND (CMAKE_C_COMPILER_ID MATCHES "MSVC|Intel|Clang"))
  add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
endif()

if(PNG_HARDWARE_OPTIMIZATIONS)

  # Set definitions and sources for ARM.
  if(PNG_TARGET_ARCHITECTURE MATCHES "^(arm|aarch)")
    if(PNG_TARGET_ARCHITECTURE MATCHES "^(arm64|aarch64)")
      set(PNG_ARM_NEON_POSSIBLE_VALUES on off)
      set(PNG_ARM_NEON
          "on"
          CACHE STRING "Enable ARM NEON optimizations: on|off; on is default")
    else()
      set(PNG_ARM_NEON_POSSIBLE_VALUES check on off)
      set(PNG_ARM_NEON
          "off"
          CACHE STRING "Enable ARM NEON optimizations: check|on|off; off is default")
    endif()
    set_property(CACHE PNG_ARM_NEON
                 PROPERTY STRINGS ${PNG_ARM_NEON_POSSIBLE_VALUES})
    list(FIND PNG_ARM_NEON_POSSIBLE_VALUES ${PNG_ARM_NEON} index)
    if(index EQUAL -1)
      message(FATAL_ERROR "PNG_ARM_NEON must be one of [${PNG_ARM_NEON_POSSIBLE_VALUES}]")
    elseif(NOT PNG_ARM_NEON STREQUAL "off")
      set(libpng_arm_sources
          arm/arm_init.c
          arm/filter_neon_intrinsics.c
          arm/palette_neon_intrinsics.c)
      if(PNG_ARM_NEON STREQUAL "on")
        add_definitions(-DPNG_ARM_NEON_OPT=2)
      elseif(PNG_ARM_NEON STREQUAL "check")
        add_definitions(-DPNG_ARM_NEON_CHECK_SUPPORTED)
      endif()
    else()
      add_definitions(-DPNG_ARM_NEON_OPT=0)
    endif()
  endif()

  # Set definitions and sources for PowerPC.
  if(PNG_TARGET_ARCHITECTURE MATCHES "^(powerpc|ppc64)")
    set(PNG_POWERPC_VSX_POSSIBLE_VALUES on off)
    set(PNG_POWERPC_VSX
        "on"
        CACHE STRING "Enable POWERPC VSX optimizations: on|off; on is default")
    set_property(CACHE PNG_POWERPC_VSX
                 PROPERTY STRINGS ${PNG_POWERPC_VSX_POSSIBLE_VALUES})
    list(FIND PNG_POWERPC_VSX_POSSIBLE_VALUES ${PNG_POWERPC_VSX} index)
    if(index EQUAL -1)
      message(FATAL_ERROR "PNG_POWERPC_VSX must be one of [${PNG_POWERPC_VSX_POSSIBLE_VALUES}]")
    elseif(NOT PNG_POWERPC_VSX STREQUAL "off")
      set(libpng_powerpc_sources
          powerpc/powerpc_init.c
          powerpc/filter_vsx_intrinsics.c)
      if(PNG_POWERPC_VSX STREQUAL "on")
        add_definitions(-DPNG_POWERPC_VSX_OPT=2)
      endif()
    else()
      add_definitions(-DPNG_POWERPC_VSX_OPT=0)
    endif()
  endif()

  # Set definitions and sources for Intel.
  if(PNG_TARGET_ARCHITECTURE MATCHES "^(i[3-6]86|x86|amd64)")
    set(PNG_INTEL_SSE_POSSIBLE_VALUES on off)
    set(PNG_INTEL_SSE
        "on"
        CACHE STRING "Enable INTEL_SSE optimizations: on|off; on is default")
    set_property(CACHE PNG_INTEL_SSE
                 PROPERTY STRINGS ${PNG_INTEL_SSE_POSSIBLE_VALUES})
    list(FIND PNG_INTEL_SSE_POSSIBLE_VALUES ${PNG_INTEL_SSE} index)
    if(index EQUAL -1)
      message(FATAL_ERROR "PNG_INTEL_SSE must be one of [${PNG_INTEL_SSE_POSSIBLE_VALUES}]")
    elseif(NOT PNG_INTEL_SSE STREQUAL "off")
      set(libpng_intel_sources
          intel/intel_init.c
          intel/filter_sse2_intrinsics.c)
      if(PNG_INTEL_SSE STREQUAL "on")
        add_definitions(-DPNG_INTEL_SSE_OPT=1)
      endif()
    else()
      add_definitions(-DPNG_INTEL_SSE_OPT=0)
    endif()
  endif()

  # Set definitions and sources for MIPS.
  if(PNG_TARGET_ARCHITECTURE MATCHES "^(mipsel|mips64el)")
    set(PNG_MIPS_MSA_POSSIBLE_VALUES on off)
    set(PNG_MIPS_MSA
        "on"
        CACHE STRING "Enable MIPS_MSA optimizations: on|off; on is default")
    set_property(CACHE PNG_MIPS_MSA
                 PROPERTY STRINGS ${PNG_MIPS_MSA_POSSIBLE_VALUES})
    list(FIND PNG_MIPS_MSA_POSSIBLE_VALUES ${PNG_MIPS_MSA} index_msa)
    if(index_msa EQUAL -1)
      message(FATAL_ERROR "PNG_MIPS_MSA must be one of [${PNG_MIPS_MSA_POSSIBLE_VALUES}]")
    endif()

    set(PNG_MIPS_MMI_POSSIBLE_VALUES on off)
    set(PNG_MIPS_MMI
        "on"
        CACHE STRING "Enable MIPS_MMI optimizations: on|off; on is default")
    set_property(CACHE PNG_MIPS_MMI
                 PROPERTY STRINGS ${PNG_MIPS_MMI_POSSIBLE_VALUES})
    list(FIND PNG_MIPS_MMI_POSSIBLE_VALUES ${PNG_MIPS_MMI} index_mmi)
    if(index_mmi EQUAL -1)
      message(FATAL_ERROR "PNG_MIPS_MMI must be one of [${PNG_MIPS_MMI_POSSIBLE_VALUES}]")
    endif()

    if(PNG_MIPS_MSA STREQUAL "on" AND PNG_MIPS_MMI STREQUAL "on")
      set(libpng_mips_sources
          mips/mips_init.c
          mips/filter_msa_intrinsics.c
          mips/filter_mmi_inline_assembly.c)
      add_definitions(-DPNG_MIPS_MSA_OPT=2)
      add_definitions(-DPNG_MIPS_MMI_OPT=1)
    elseif(PNG_MIPS_MSA STREQUAL "on")
      set(libpng_mips_sources
          mips/mips_init.c
          mips/filter_msa_intrinsics.c)
      add_definitions(-DPNG_MIPS_MSA_OPT=2)
      add_definitions(-DPNG_MIPS_MMI_OPT=0)
    elseif(PNG_MIPS_MMI STREQUAL "on")
      set(libpng_mips_sources
          mips/mips_init.c
          mips/filter_mmi_inline_assembly.c)
      add_definitions(-DPNG_MIPS_MSA_OPT=0)
      add_definitions(-DPNG_MIPS_MMI_OPT=1)
    else()
      add_definitions(-DPNG_MIPS_MSA_OPT=0)
      add_definitions(-DPNG_MIPS_MMI_OPT=0)
    endif()
  endif()

  # Set definitions and sources for LoongArch.
  if(PNG_TARGET_ARCHITECTURE MATCHES "^(loongarch)")
    include(CheckCCompilerFlag)
    set(PNG_LOONGARCH_LSX_POSSIBLE_VALUES on off)
    set(PNG_LOONGARCH_LSX
        "on"
        CACHE STRING "Enable LOONGARCH_LSX optimizations: on|off; on is default")
    set_property(CACHE PNG_LOONGARCH_LSX
                 PROPERTY STRINGS ${PNG_LOONGARCH_LSX_POSSIBLE_VALUES})
    list(FIND PNG_LOONGARCH_LSX_POSSIBLE_VALUES ${PNG_LOONGARCH_LSX} index)
    if(index EQUAL -1)
      message(FATAL_ERROR "PNG_LOONGARCH_LSX must be one of [${PNG_LOONGARCH_LSX_POSSIBLE_VALUES}]")

=== debian/changelog ===
libreoffice (4:25.8.4~rc2-0ubuntu3) resolute; urgency=medium

  * Build using internal libmdds and liborcus for now.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Feb 2026 16:02:27 +0100

libreoffice (4:25.8.4~rc2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for abseil soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Jan 2026 03:29:54 +0100

libreoffice (4:25.8.4~rc2-0ubuntu1) resolute; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 11 Dec 2025 10:21:18 +0100

libreoffice (4:25.8.4~rc2-1) UNRELEASED; urgency=medium

  * New upstream release candidate

  * debian/patches/pdfium-ports.diff: add patch to fix pdfium build on sparc64
    (closes: #1121498)
  * debian/patches/lpsolve-fPIC.diff: build the shared internal lpsolve with
    -fPIC (as done in system-lpsolve) (closes: #1121530)

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Dec 2025 22:27:51 +0100

=== debian/control ===
#
# NOTE: This file is autogenerated. DO NOT manually edit it! 
# Edit debian/control*in and rules (whatever applicable), run debian/rules control
# and move control.new to control if the difference is sane.
#
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: ant <!nojava>,
               ant-optional <!nojava>,
               autoconf,
               automake,
               bc,
               bison,
               bzip2,
               clang [i386],
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !hurd-amd64 !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !powerpcspe !s390 !sparc] <!nojava>,
               dh-python <!nopython>,
               dpkg-dev (>= 1.22.5) [armhf],
               flex,
               g++ (>= 4:12) [!i386],
               gcc (>= 4:12) [!i386],
               gperf,
               java-common (>= 0.75) <!nojava>,
               javahelper <!nojava>,
               junit4 [amd64 arm64] <!nocheck !nojava>,
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl <!nojava>,
               libargon2-dev,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-locale-dev,
               libcairo2-dev,
               libcdr-dev (<< 0.2~),
               libcdr-dev (>= 0.1),
               libclucene-dev,
               libcpdb-frontend-dev,
               libcrypt-dev,
               libcups2-dev,
               libcurl4-openssl-dev,
               libdconf-dev (>= 0.40),
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libeot-dev,
               libepoxy-dev,
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libetonyek-dev (<< 0.2~),
               libexpat1-dev,
               libexttextcat-dev,
               libfontconfig-dev,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype-dev,
               libgl-dev,
               libglib2.0-dev,
               libglm-dev,
               libgraphite2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev (>= 5.1.0),
               libhsqldb1.8.0-java <!nojava>,
               libhunspell-dev,
               libhyphen-dev,
               libice-dev,
               libicu-dev,
               libjpeg-dev,
               libkrb5-dev,
               liblangtag-dev,
               liblcms2-dev,
               liblockfile-bin,
               libmdds-dev (>= 3.0),
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmwaw-dev (<< 0.4~),
               libmwaw-dev (>= 0.3.21),
               libmythes-dev,
               libnspr4-dev,
               libnss3-dev,
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               liborcus-dev (>= 0.20),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev,
               libpoppler-private-dev,
               librdf0-dev,
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsane-dev,
               libsm-dev,
               libsuitesparse-dev,
               libtiff-dev,
               libvisio-dev (<< 0.2~),
               libvisio-dev (>= 0.1),
               libwebp-dev,
               libwpd-dev (<< 0.11~),
               libwpd-dev (>= 0.10),
               libwpg-dev (<< 0.4~),
               libwpg-dev (>= 0.3),
               libwps-dev (<< 0.5~),
               libwps-dev (>= 0.4),
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml2-dev,
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.35),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libzstd-dev,
               maven-repo-helper <!nojava>,
               pkgconf,
               po-debconf,
               python3,
               python3-dev <!nopython>,
               python3-setuptools <!nopython>,
               unixodbc-dev,
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Arch: at-spi2-core [!ppc64el !riscv64 !s390x] <!nocheck>,
                    clang [!ppc64el !s390x],
                    culmus [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    dbus-x11 [!ppc64el !riscv64 !s390x] <!nocheck>,
                    default-libmysqlclient-dev,
                    firebird-dev,
                    firebird4.0-server-core <!nocheck>,
                    fontconfig [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-crosextra-caladea [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-crosextra-carlito (>= 20230309) [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-dejavu [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-hosny-amiri (>= 1.000) [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-liberation (>= 1:2) [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-linuxlibertine [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-noto-core [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                    fonts-opensymbol <!pkg.libreoffice.opensymbolbuild>,
                    gdb [!ppc64el !riscv64 !s390x] <!nocheck>,
                    ghostscript [!ppc64el !riscv64 !s390x] <!nocheck>,
                    gir1.2-gdk-3.0-dev <!nogir>,
                    gir1.2-gdkpixbuf-2.0-dev <!nogir>,
                    gir1.2-gio-2.0-dev <!nogir>,
                    gir1.2-gobject-2.0-dev <!nogir>,
                    gir1.2-gtk-3.0-dev <!nogir>,
                    gobject-introspection (>= 1.80) <!nogir>,
                    gpg [!ppc64el !riscv64 !s390x] <!nocheck>,
                    gpg-agent [!ppc64el !riscv64 !s390x] <!nocheck>,
                    gpgconf [!ppc64el !riscv64 !s390x] <!nocheck>,
                    hunspell-en-us [!ppc64el !riscv64 !s390x] <!nocheck>,
                    hyphen-de [!ppc64el !riscv64 !s390x] <!nocheck>,
                    hyphen-en-us [!ppc64el !riscv64 !s390x] <!nocheck>,
                    hyphen-hu [!ppc64el !riscv64 !s390x] <!nocheck>,
                    imagemagick [!ppc64el !riscv64 !s390x] <!nocheck>,
                    libabsl-dev [amd64 arm64 armhf ppc64el riscv64 s390x],
                    libatk1.0-dev,
                    libatspi2.0-dev [!ppc64el !riscv64 !s390x] <!nocheck>,
                    libavahi-client-dev,
                    libcairo2-dev,
                    libcppunit-dev,
                    libdbus-1-dev,
                    libebook1.2-dev,
                    libglib2.0-dev,
                    libgpg-error-dev,
                    libgpgme-dev,
                    libgpgmepp-dev,
                    libgtk-3-dev,
                    libgtk-4-dev (>= 4.10),
                    libkf6config-dev,
                    libkf6coreaddons-dev,
                    libkf6i18n-dev,
                    libkf6kio-dev,
                    libkf6windowsystem-dev,
                    libldap-dev,
                    libopenjp2-7-dev [amd64 arm64 armhf ppc64el riscv64 s390x],
                    liborcus-dev (>= 0.20.0-2) <!nocheck>,
                    libpq-dev,
                    libxcb1-dev,
                    libxml2-dev (>= 2.14.3+dfsg-0exp3) <!nocheck>,
                    libxmlsec1-dev (>= 1.2.39-5) [armhf] <!nocheck>,
                    locales <!nocheck> | locales-all <!nocheck>,
                    poppler-data [!ppc64el !riscv64 !s390x] <!nocheck>,
                    pstoedit [!ppc64el !riscv64 !s390x] <!nocheck>,
                    python3-lxml [!ppc64el !riscv64 !s390x] <!nocheck !nopython>,
                    python3-pip [!ppc64el !riscv64 !s390x] <!nocheck !nopython>,
                    python3-setuptools [!ppc64el !riscv64 !s390x] <!nocheck !nopython>,
                    python3-venv [!ppc64el !riscv64 !s390x] <!nocheck !nopython>,
                    qmake6 (>= 6.5.0),
                    qt6-base-dev (>= 6.5.0),
                    qt6-base-dev-tools (>= 6.5.0),
                    qt6-multimedia-dev (>= 6.5.0),
                    xauth [!ppc64el !riscv64 !s390x] <!nocheck>,
                    xvfb [!ppc64el !riscv64 !s390x] <!nocheck>
Build-Depends-Indep: apparmor <!nocheck>,
                     dh-apparmor,
                     doxygen <!nodoc>,
                     fontforge-nox | fontforge <!pkg.libreoffice.noopensymbolbuild>,
                     gettext,
                     graphviz <!nodoc>,
                     junit4 <!nojava>,
                     libbsh-java <!nojava>,
                     librhino-java <!nojava>,
                     rdfind,
                     symlinks
Build-Conflicts: amd-libopencl1,
                 clang [ppc64el s390x],
                 gpg-from-sq [amd64 arm64 armhf] <!nocheck>,
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1
Standards-Version: 4.0.1
Rules-Requires-Root: no
Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-resolute-25.8
Vcs-Browser: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice
Bugs: mailto:libreoffice@lists.launchpad.net
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
Section: metapackages
Depends: libreoffice-base,
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin,
         libreoffice-writer,
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-crosextra-caladea,
            fonts-crosextra-carlito,
            fonts-dejavu,
            fonts-linuxlibertine,
            fonts-noto-core,
            fonts-noto-extra,
            fonts-noto-mono,
            fonts-noto-ui-core,
            fonts-sil-gentium-basic,
            libreoffice-gnome | libreoffice-plasma,
            libreoffice-nlpsolver,
            libreoffice-report-builder,
            libreoffice-script-provider-bsh,
            libreoffice-script-provider-js,
            libreoffice-script-provider-python,
            libreoffice-sdbc-mysql,
            libreoffice-sdbc-postgresql,
            libreoffice-wiki-publisher,
            python3-pip,
            python3-setuptools,
            python3-venv,
            ${java-common-depends},
            ${liberation-fonts-recommends}
Suggests: cups-bsd,
          firefox | firefox-esr | thunderbird,
          ghostscript,
          gnupg,
          gpa,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          imagemagick,
          libgl1,
          libreoffice-grammarcheck,
          libreoffice-help (= ${help-l10n-virtual-version}),
          libreoffice-l10n (= ${help-l10n-virtual-version}),
          libreoffice-librelogo,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart-libreoffice,
          pstoedit,

=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
 # bootstraping this from the source tree is breaking get-orig-source
 #lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
-lo_sources_ver=25.8.4.1
+lo_sources_ver=25.8.4.2
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
@@ -173,12 +173,12 @@
 #JAVAHELPER_MIN_VERSION=
 SYSTEM_STUFF += hunspell
 SYSTEM_STUFF += altlinuxhyph
-SYSTEM_STUFF += boost
+#SYSTEM_STUFF += boost
 BOOST_VERSION=default
 # libmdds-dev depends on libboost-dev, which will be removed
 # when you install a non-default libboostX.Y-dev
 ifeq "$(BOOST_VERSION)" "default"
-SYSTEM_STUFF += mdds
+#SYSTEM_STUFF += mdds
 endif
 USE_EXTERNAL_CXXLIBS=y
 SYSTEM_STUFF += mythes
@@ -251,4 +251,3 @@
 endif
 SYSTEM_STUFF += xmlsec
 SYSTEM_STUFF += zxcvbn
-

## libreoffice 25.8.4~rc2-0ubuntu0.24.04.1~lo1trisquel5

=== debian/changelog ===
libreoffice (4:25.8.4~rc2-0ubuntu0.24.04.1~lo1trisquel5) ecne-backports; urgency=medium

  * Backport libreoffice fresh into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 21 Dec 2025 18:52:09 +0000

libreoffice (4:25.8.4~rc2-0ubuntu0.24.04.1~lo1) noble; urgency=medium

  * Backport from questing (LP: #)
  * Enable QT5 support
  * Use internal mdds and orcus to meat upstream requirements

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 13 Dec 2025 23:16:18 +0100

libreoffice (4:25.8.4~rc2-0ubuntu0.25.10.1) UNRELEASED; urgency=medium

  * New upstream release candidate

  [ Rene Engelhard ]
  * debian/rules: --with(out)-system-libxml default changed

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 13 Dec 2025 23:16:18 +0100

libreoffice (4:25.8.3-0ubuntu0.25.10.1) questing; urgency=medium

  * New upstream release (LP: #2131289)
  * debian/patches/disable-testDubiousArrayFormulasFODS-on-amd64v3.patch:
    - disable failing test on amd64v3

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 10 Nov 2025 10:10:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Source: libreoffice
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
 Build-Depends: ant <!nojava>,
@@ -38,6 +38,8 @@
                libboost-filesystem-dev,
                libboost-iostreams-dev,
                libboost-locale-dev,
+               libboost-program-options-dev,
+               libboost-system-dev,
                libcairo2-dev,
                libcdr-dev (<< 0.2~),
                libcdr-dev (>= 0.1),
@@ -78,7 +80,6 @@
                liblangtag-dev,
                liblcms2-dev,
                liblockfile-bin,
-               libmdds-dev (>= 3.0),
                libmspub-dev (<< 0.2~),
                libmspub-dev (>= 0.1),
                libmwaw-dev (<< 0.4~),
@@ -88,7 +89,6 @@
                libnss3-dev,
                libodfgen-dev (<< 0.2~),
                libodfgen-dev (>= 0.1),
-               liborcus-dev (>= 0.20),
                libpagemaker-dev,
                libpagemaker-dev (<< 0.1~),
                libpng-dev,
@@ -144,7 +144,7 @@
                     dbus-x11 [!ppc64el !riscv64 !s390x] <!nocheck>,
                     default-libmysqlclient-dev,
                     firebird-dev,
-                    firebird4.0-server-core <!nocheck>,
+                    firebird3.0-server-core <!nocheck>,
                     fontconfig [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                     fonts-crosextra-caladea [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
                     fonts-crosextra-carlito (>= 20230309) [amd64 arm64 armhf i386 ppc64el s390x] <!nocheck>,
@@ -156,12 +156,7 @@
                     fonts-opensymbol <!pkg.libreoffice.opensymbolbuild>,
                     gdb [!ppc64el !riscv64 !s390x] <!nocheck>,
                     ghostscript [!ppc64el !riscv64 !s390x] <!nocheck>,
-                    gir1.2-gdk-3.0-dev <!nogir>,
-                    gir1.2-gdkpixbuf-2.0-dev <!nogir>,
-                    gir1.2-gio-2.0-dev <!nogir>,
-                    gir1.2-gobject-2.0-dev <!nogir>,
-                    gir1.2-gtk-3.0-dev <!nogir>,
-                    gobject-introspection (>= 1.80) <!nogir>,
+                    gobject-introspection <!nogir>,
                     gpg [!ppc64el !riscv64 !s390x] <!nocheck>,
                     gpg-agent [!ppc64el !riscv64 !s390x] <!nocheck>,
                     gpgconf [!ppc64el !riscv64 !s390x] <!nocheck>,
@@ -178,35 +173,31 @@
                     libcppunit-dev,
                     libdbus-1-dev,
                     libebook1.2-dev,
+                    libgirepository1.0-dev <!nogir>,
                     libglib2.0-dev,
                     libgpg-error-dev,
                     libgpgme-dev,
                     libgpgmepp-dev,
                     libgtk-3-dev,
                     libgtk-4-dev (>= 4.10),
-                    libkf6config-dev,
-                    libkf6coreaddons-dev,
-                    libkf6i18n-dev,
-                    libkf6kio-dev,
-                    libkf6windowsystem-dev,
+                    libkf5config-dev,
+                    libkf5coreaddons-dev,
+                    libkf5i18n-dev,
+                    libkf5kio-dev,
+                    libkf5windowsystem-dev,
                     libldap-dev,
                     libopenjp2-7-dev [amd64 arm64 armhf ppc64el riscv64 s390x],
-                    liborcus-dev (>= 0.20.0-2) <!nocheck>,
                     libpq-dev,
+                    libqt5x11extras5-dev,
                     libxcb1-dev,
-                    libxml2-dev (>= 2.14.3+dfsg-0exp3) <!nocheck>,
                     libxmlsec1-dev (>= 1.2.39-5) [armhf] <!nocheck>,
                     locales <!nocheck> | locales-all <!nocheck>,
                     poppler-data [!ppc64el !riscv64 !s390x] <!nocheck>,
                     pstoedit [!ppc64el !riscv64 !s390x] <!nocheck>,
                     python3-lxml [!ppc64el !riscv64 !s390x] <!nocheck !nopython>,
-                    python3-pip [!ppc64el !riscv64 !s390x] <!nocheck !nopython>,
-                    python3-setuptools [!ppc64el !riscv64 !s390x] <!nocheck !nopython>,
-                    python3-venv [!ppc64el !riscv64 !s390x] <!nocheck !nopython>,
-                    qmake6 (>= 6.5.0),
-                    qt6-base-dev (>= 6.5.0),
-                    qt6-base-dev-tools (>= 6.5.0),
-                    qt6-multimedia-dev (>= 6.5.0),
+                    qt5-qmake,
+                    qtbase5-dev,
+                    qtbase5-dev-tools,
                     xauth [!ppc64el !riscv64 !s390x] <!nocheck>,
                     xvfb [!ppc64el !riscv64 !s390x] <!nocheck>
 Build-Depends-Indep: apparmor <!nocheck>,
@@ -228,7 +219,7 @@
                  nvidia-libopencl1
 Standards-Version: 4.0.1
 Rules-Requires-Root: no
-Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-resolute-25.8
+Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-noble-25.8
 Vcs-Browser: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice
 Bugs: mailto:libreoffice@lists.launchpad.net
 Homepage: http://www.libreoffice.org
@@ -264,9 +255,6 @@
             libreoffice-sdbc-mysql,
             libreoffice-sdbc-postgresql,
             libreoffice-wiki-publisher,
-            python3-pip,
-            python3-setuptools,
-            python3-venv,
             ${java-common-depends},
             ${liberation-fonts-recommends}
 Suggests: cups-bsd,
@@ -276,7 +264,7 @@
           gpa,
           hunspell-dictionary,
           hyphen-hyphenation-patterns,
-          imagemagick,
+          imagemagick | graphicsmagick-imagemagick-compat,
           libgl1,
           libreoffice-grammarcheck,
           libreoffice-help (= ${help-l10n-virtual-version}),
@@ -287,3 +275,20 @@
           mythes-thesaurus,
           openclipart-libreoffice,
           pstoedit,
+          unixodbc,
+          ${gstreamer-plugins-suggests},
+          ${java-runtime-depends},
+          ${libsane-suggests},
+          ${ooo-officebean-dep}
+Conflicts: libreoffice-dev (<= 1:5.0.3~rc1-2),
+           libreoffice-dev-doc (<= 1:5.0.3~rc1-2)
+Description: office productivity suite (metapackage)
+ LibreOffice is a full-featured office productivity suite that provides
+ a near drop-in replacement for Microsoft(R) Office.
+ .
+ This metapackage installs all components of libreoffice:
+  * libreoffice-writer: Word processor
+  * libreoffice-calc: Spreadsheet
+  * libreoffice-impress: Presentation
+  * libreoffice-draw: Drawing
+  * libreoffice-base: Database

=== debian/rules ===
--- 
+++ 
@@ -173,12 +173,12 @@
 #JAVAHELPER_MIN_VERSION=
 SYSTEM_STUFF += hunspell
 SYSTEM_STUFF += altlinuxhyph
-#SYSTEM_STUFF += boost
+SYSTEM_STUFF += boost
 BOOST_VERSION=default
 # libmdds-dev depends on libboost-dev, which will be removed
 # when you install a non-default libboostX.Y-dev
 ifeq "$(BOOST_VERSION)" "default"
-#SYSTEM_STUFF += mdds
+SYSTEM_STUFF += mdds
 endif
 USE_EXTERNAL_CXXLIBS=y
 SYSTEM_STUFF += mythes
@@ -210,15 +210,15 @@
 ifeq "$(ENABLE_GUI)" "y"
 BUILD_PLASMA=y
 # let's assume we won't ship two plasmas parallel..
-PLASMA_VERSION=6
+PLASMA_VERSION=5
 PLASMA_KF_VERSION=$(PLASMA_VERSION)
 PLASMA_ARCHITECTURE=all
-ENABLE_QT5=n
+ENABLE_QT5=y
 #QT5_MINVER=
-ENABLE_KF5=n
-ENABLE_QT6=y
-ENABLE_QT6_MULTIMEDIA=y
-ENABLE_KF6=y
+ENABLE_KF5=y
+ENABLE_QT6=n
+ENABLE_QT6_MULTIMEDIA=n
+ENABLE_KF6=n
 endif
 # go sure. if we want plasma, we want kfX, too and if we want that
 # one we want qtX, too.
@@ -251,3 +251,4 @@
 endif
 SYSTEM_STUFF += xmlsec
 SYSTEM_STUFF += zxcvbn
+
